define("scarabComponentsGameControllerApi", ["componentmodelComponentApi", "slotModelApi", "winMeterApi", "winControllerApi", "reelsApi", "soundManagerApi", "gameLayoutApi", "clientkernelEventbusApi", "backgroundApi", "paytableApi", "betPanelApi", "moneyApi"],
    function(componentmodelComponentApi, slotModelApi, winMeterApi, winControllerApi, reelsApi, soundManagerApi, gameLayoutApi, clientkernelEventbusApi, backgroundApi, paytableApi, betPanelApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof scarabComponentsGameControllerApi == 'undefined') {
            var scarabComponentsGameControllerApi = {};
        };
        scarabComponentsGameControllerApi.GameControllerDeclaration = function() {};
        scarabComponentsGameControllerApi.GameControllerDeclaration = ck_implements(scarabComponentsGameControllerApi.GameControllerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        scarabComponentsGameControllerApi.GameControllerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        scarabComponentsGameControllerApi.GameControllerDeclaration.__name__ = ["scarabComponentsGameControllerApi", "GameControllerDeclaration"];
        scarabComponentsGameControllerApi.GameControllerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        scarabComponentsGameControllerApi.GameControllerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        scarabComponentsGameControllerApi.GameControllerDeclaration.prototype.getImplementedPorts = function() {
            return [];
        };
        scarabComponentsGameControllerApi.GameControllerDeclaration.prototype.getUsedPorts = function() {
            return [betPanelApi.IBetPanelPort, slotModelApi.ISlotModelPort, soundManagerApi.ISoundManagerPort, reelsApi.IReelsPort, gameLayoutApi.IGameLayoutPort, winMeterApi.IWinMeterPort, winControllerApi.IWinControllerPort, paytableApi.IPaytablePort, backgroundApi.IBackgroundPort];
        };
        scarabComponentsGameControllerApi.GameControllerDeclaration.prototype.__class__ = scarabComponentsGameControllerApi.GameControllerDeclaration;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        return {
            exports: scarabComponentsGameControllerApi
        };
    });
//# sourceURL=scarabGameControllerApi.js